Authenticate stream user
curl --request POST \
--url https://api.gleap.io/v3/s2s/stream/user-auth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"socket_id": "<string>",
"consumerId": "<string>"
}
'import requests
url = "https://api.gleap.io/v3/s2s/stream/user-auth"
payload = {
"socket_id": "<string>",
"consumerId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({socket_id: '<string>', consumerId: '<string>'})
};
fetch('https://api.gleap.io/v3/s2s/stream/user-auth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
S2S Stream
Authenticate stream user
User authentication (Pusher signin) — REQUIRED for server-side takeover termination to reach your connection. Configure it as the client’s userAuthentication endpoint.
POST
/
s2s
/
stream
/
user-auth
Authenticate stream user
⌘I